"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var index_exports = {};
__export(index_exports, {
  ActiveContextFilterSensitiveLog: () => ActiveContextFilterSensitiveLog,
  BadGatewayException: () => BadGatewayException,
  BadRequestException: () => BadRequestException,
  ConfirmationStatus: () => ConfirmationStatus,
  ConflictException: () => ConflictException,
  ContentType: () => ContentType,
  DeleteSessionCommand: () => DeleteSessionCommand,
  DependencyFailedException: () => DependencyFailedException,
  DialogActionFilterSensitiveLog: () => DialogActionFilterSensitiveLog,
  DialogActionType: () => DialogActionType,
  DialogState: () => DialogState,
  FulfillmentState: () => FulfillmentState,
  GetSessionCommand: () => GetSessionCommand,
  GetSessionResponseFilterSensitiveLog: () => GetSessionResponseFilterSensitiveLog,
  IntentSummaryFilterSensitiveLog: () => IntentSummaryFilterSensitiveLog,
  InternalFailureException: () => InternalFailureException,
  LexRuntimeService: () => LexRuntimeService,
  LexRuntimeServiceClient: () => LexRuntimeServiceClient,
  LexRuntimeServiceServiceException: () => LexRuntimeServiceServiceException,
  LimitExceededException: () => LimitExceededException,
  LoopDetectedException: () => LoopDetectedException,
  MessageFormatType: () => MessageFormatType,
  NotAcceptableException: () => NotAcceptableException,
  NotFoundException: () => NotFoundException,
  PostContentCommand: () => PostContentCommand,
  PostContentRequestFilterSensitiveLog: () => PostContentRequestFilterSensitiveLog,
  PostContentResponseFilterSensitiveLog: () => PostContentResponseFilterSensitiveLog,
  PostTextCommand: () => PostTextCommand,
  PostTextRequestFilterSensitiveLog: () => PostTextRequestFilterSensitiveLog,
  PostTextResponseFilterSensitiveLog: () => PostTextResponseFilterSensitiveLog,
  PredictedIntentFilterSensitiveLog: () => PredictedIntentFilterSensitiveLog,
  PutSessionCommand: () => PutSessionCommand,
  PutSessionRequestFilterSensitiveLog: () => PutSessionRequestFilterSensitiveLog,
  PutSessionResponseFilterSensitiveLog: () => PutSessionResponseFilterSensitiveLog,
  RequestTimeoutException: () => RequestTimeoutException,
  UnsupportedMediaTypeException: () => UnsupportedMediaTypeException,
  __Client: () => import_smithy_client.Client
});
module.exports = __toCommonJS(index_exports);

// src/LexRuntimeServiceClient.ts
var import_middleware_host_header = require("@aws-sdk/middleware-host-header");
var import_middleware_logger = require("@aws-sdk/middleware-logger");
var import_middleware_recursion_detection = require("@aws-sdk/middleware-recursion-detection");
var import_middleware_user_agent = require("@aws-sdk/middleware-user-agent");
var import_config_resolver = require("@smithy/config-resolver");
var import_core = require("@smithy/core");
var import_middleware_content_length = require("@smithy/middleware-content-length");
var import_middleware_endpoint = require("@smithy/middleware-endpoint");
var import_middleware_retry = require("@smithy/middleware-retry");

var import_httpAuthSchemeProvider = require("./auth/httpAuthSchemeProvider");

// src/endpoint/EndpointParameters.ts
var resolveClientEndpointParameters = /* @__PURE__ */ __name((options) => {
  return Object.assign(options, {
    useDualstackEndpoint: options.useDualstackEndpoint ?? false,
    useFipsEndpoint: options.useFipsEndpoint ?? false,
    defaultSigningName: "lex"
  });
}, "resolveClientEndpointParameters");
var commonParams = {
  UseFIPS: { type: "builtInParams", name: "useFipsEndpoint" },
  Endpoint: { type: "builtInParams", name: "endpoint" },
  Region: { type: "builtInParams", name: "region" },
  UseDualStack: { type: "builtInParams", name: "useDualstackEndpoint" }
};

// src/LexRuntimeServiceClient.ts
var import_runtimeConfig = require("././runtimeConfig");

// src/runtimeExtensions.ts
var import_region_config_resolver = require("@aws-sdk/region-config-resolver");
var import_protocol_http = require("@smithy/protocol-http");
var import_smithy_client = require("@smithy/smithy-client");

// src/auth/httpAuthExtensionConfiguration.ts
var getHttpAuthExtensionConfiguration = /* @__PURE__ */ __name((runtimeConfig) => {
  const _httpAuthSchemes = runtimeConfig.httpAuthSchemes;
  let _httpAuthSchemeProvider = runtimeConfig.httpAuthSchemeProvider;
  let _credentials = runtimeConfig.credentials;
  return {
    setHttpAuthScheme(httpAuthScheme) {
      const index = _httpAuthSchemes.findIndex((scheme) => scheme.schemeId === httpAuthScheme.schemeId);
      if (index === -1) {
        _httpAuthSchemes.push(httpAuthScheme);
      } else {
        _httpAuthSchemes.splice(index, 1, httpAuthScheme);
      }
    },
    httpAuthSchemes() {
      return _httpAuthSchemes;
    },
    setHttpAuthSchemeProvider(httpAuthSchemeProvider) {
      _httpAuthSchemeProvider = httpAuthSchemeProvider;
    },
    httpAuthSchemeProvider() {
      return _httpAuthSchemeProvider;
    },
    setCredentials(credentials) {
      _credentials = credentials;
    },
    credentials() {
      return _credentials;
    }
  };
}, "getHttpAuthExtensionConfiguration");
var resolveHttpAuthRuntimeConfig = /* @__PURE__ */ __name((config) => {
  return {
    httpAuthSchemes: config.httpAuthSchemes(),
    httpAuthSchemeProvider: config.httpAuthSchemeProvider(),
    credentials: config.credentials()
  };
}, "resolveHttpAuthRuntimeConfig");

// src/runtimeExtensions.ts
var resolveRuntimeExtensions = /* @__PURE__ */ __name((runtimeConfig, extensions) => {
  const extensionConfiguration = Object.assign(
    (0, import_region_config_resolver.getAwsRegionExtensionConfiguration)(runtimeConfig),
    (0, import_smithy_client.getDefaultExtensionConfiguration)(runtimeConfig),
    (0, import_protocol_http.getHttpHandlerExtensionConfiguration)(runtimeConfig),
    getHttpAuthExtensionConfiguration(runtimeConfig)
  );
  extensions.forEach((extension) => extension.configure(extensionConfiguration));
  return Object.assign(
    runtimeConfig,
    (0, import_region_config_resolver.resolveAwsRegionExtensionConfiguration)(extensionConfiguration),
    (0, import_smithy_client.resolveDefaultRuntimeConfig)(extensionConfiguration),
    (0, import_protocol_http.resolveHttpHandlerRuntimeConfig)(extensionConfiguration),
    resolveHttpAuthRuntimeConfig(extensionConfiguration)
  );
}, "resolveRuntimeExtensions");

// src/LexRuntimeServiceClient.ts
var LexRuntimeServiceClient = class extends import_smithy_client.Client {
  static {
    __name(this, "LexRuntimeServiceClient");
  }
  /**
   * The resolved configuration of LexRuntimeServiceClient class. This is resolved and normalized from the {@link LexRuntimeServiceClientConfig | constructor configuration interface}.
   */
  config;
  constructor(...[configuration]) {
    const _config_0 = (0, import_runtimeConfig.getRuntimeConfig)(configuration || {});
    super(_config_0);
    this.initConfig = _config_0;
    const _config_1 = resolveClientEndpointParameters(_config_0);
    const _config_2 = (0, import_middleware_user_agent.resolveUserAgentConfig)(_config_1);
    const _config_3 = (0, import_middleware_retry.resolveRetryConfig)(_config_2);
    const _config_4 = (0, import_config_resolver.resolveRegionConfig)(_config_3);
    const _config_5 = (0, import_middleware_host_header.resolveHostHeaderConfig)(_config_4);
    const _config_6 = (0, import_middleware_endpoint.resolveEndpointConfig)(_config_5);
    const _config_7 = (0, import_httpAuthSchemeProvider.resolveHttpAuthSchemeConfig)(_config_6);
    const _config_8 = resolveRuntimeExtensions(_config_7, configuration?.extensions || []);
    this.config = _config_8;
    this.middlewareStack.use((0, import_middleware_user_agent.getUserAgentPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_retry.getRetryPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_content_length.getContentLengthPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_host_header.getHostHeaderPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_logger.getLoggerPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_recursion_detection.getRecursionDetectionPlugin)(this.config));
    this.middlewareStack.use(
      (0, import_core.getHttpAuthSchemeEndpointRuleSetPlugin)(this.config, {
        httpAuthSchemeParametersProvider: import_httpAuthSchemeProvider.defaultLexRuntimeServiceHttpAuthSchemeParametersProvider,
        identityProviderConfigProvider: /* @__PURE__ */ __name(async (config) => new import_core.DefaultIdentityProviderConfig({
          "aws.auth#sigv4": config.credentials
        }), "identityProviderConfigProvider")
      })
    );
    this.middlewareStack.use((0, import_core.getHttpSigningPlugin)(this.config));
  }
  /**
   * Destroy underlying resources, like sockets. It's usually not necessary to do this.
   * However in Node.js, it's best to explicitly shut down the client's agent when it is no longer needed.
   * Otherwise, sockets might stay open for quite a long time before the server terminates them.
   */
  destroy() {
    super.destroy();
  }
};

// src/LexRuntimeService.ts


// src/commands/DeleteSessionCommand.ts

var import_middleware_serde = require("@smithy/middleware-serde");


// src/protocols/Aws_restJson1.ts
var import_core2 = require("@aws-sdk/core");



// src/models/LexRuntimeServiceServiceException.ts

var LexRuntimeServiceServiceException = class _LexRuntimeServiceServiceException extends import_smithy_client.ServiceException {
  static {
    __name(this, "LexRuntimeServiceServiceException");
  }
  /**
   * @internal
   */
  constructor(options) {
    super(options);
    Object.setPrototypeOf(this, _LexRuntimeServiceServiceException.prototype);
  }
};

// src/models/models_0.ts

var BadRequestException = class _BadRequestException extends LexRuntimeServiceServiceException {
  static {
    __name(this, "BadRequestException");
  }
  name = "BadRequestException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "BadRequestException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _BadRequestException.prototype);
  }
};
var ConflictException = class _ConflictException extends LexRuntimeServiceServiceException {
  static {
    __name(this, "ConflictException");
  }
  name = "ConflictException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ConflictException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _ConflictException.prototype);
  }
};
var InternalFailureException = class _InternalFailureException extends LexRuntimeServiceServiceException {
  static {
    __name(this, "InternalFailureException");
  }
  name = "InternalFailureException";
  $fault = "server";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "InternalFailureException",
      $fault: "server",
      ...opts
    });
    Object.setPrototypeOf(this, _InternalFailureException.prototype);
  }
};
var LimitExceededException = class _LimitExceededException extends LexRuntimeServiceServiceException {
  static {
    __name(this, "LimitExceededException");
  }
  name = "LimitExceededException";
  $fault = "client";
  retryAfterSeconds;
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "LimitExceededException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _LimitExceededException.prototype);
    this.retryAfterSeconds = opts.retryAfterSeconds;
  }
};
var NotFoundException = class _NotFoundException extends LexRuntimeServiceServiceException {
  static {
    __name(this, "NotFoundException");
  }
  name = "NotFoundException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "NotFoundException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _NotFoundException.prototype);
  }
};
var FulfillmentState = {
  FAILED: "Failed",
  FULFILLED: "Fulfilled",
  READY_FOR_FULFILLMENT: "ReadyForFulfillment"
};
var MessageFormatType = {
  COMPOSITE: "Composite",
  CUSTOM_PAYLOAD: "CustomPayload",
  PLAIN_TEXT: "PlainText",
  SSML: "SSML"
};
var DialogActionType = {
  CLOSE: "Close",
  CONFIRM_INTENT: "ConfirmIntent",
  DELEGATE: "Delegate",
  ELICIT_INTENT: "ElicitIntent",
  ELICIT_SLOT: "ElicitSlot"
};
var ConfirmationStatus = {
  CONFIRMED: "Confirmed",
  DENIED: "Denied",
  NONE: "None"
};
var BadGatewayException = class _BadGatewayException extends LexRuntimeServiceServiceException {
  static {
    __name(this, "BadGatewayException");
  }
  name = "BadGatewayException";
  $fault = "server";
  Message;
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "BadGatewayException",
      $fault: "server",
      ...opts
    });
    Object.setPrototypeOf(this, _BadGatewayException.prototype);
    this.Message = opts.Message;
  }
};
var DependencyFailedException = class _DependencyFailedException extends LexRuntimeServiceServiceException {
  static {
    __name(this, "DependencyFailedException");
  }
  name = "DependencyFailedException";
  $fault = "client";
  Message;
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "DependencyFailedException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _DependencyFailedException.prototype);
    this.Message = opts.Message;
  }
};
var LoopDetectedException = class _LoopDetectedException extends LexRuntimeServiceServiceException {
  static {
    __name(this, "LoopDetectedException");
  }
  name = "LoopDetectedException";
  $fault = "server";
  Message;
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "LoopDetectedException",
      $fault: "server",
      ...opts
    });
    Object.setPrototypeOf(this, _LoopDetectedException.prototype);
    this.Message = opts.Message;
  }
};
var NotAcceptableException = class _NotAcceptableException extends LexRuntimeServiceServiceException {
  static {
    __name(this, "NotAcceptableException");
  }
  name = "NotAcceptableException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "NotAcceptableException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _NotAcceptableException.prototype);
  }
};
var DialogState = {
  CONFIRM_INTENT: "ConfirmIntent",
  ELICIT_INTENT: "ElicitIntent",
  ELICIT_SLOT: "ElicitSlot",
  FAILED: "Failed",
  FULFILLED: "Fulfilled",
  READY_FOR_FULFILLMENT: "ReadyForFulfillment"
};
var RequestTimeoutException = class _RequestTimeoutException extends LexRuntimeServiceServiceException {
  static {
    __name(this, "RequestTimeoutException");
  }
  name = "RequestTimeoutException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "RequestTimeoutException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _RequestTimeoutException.prototype);
  }
};
var UnsupportedMediaTypeException = class _UnsupportedMediaTypeException extends LexRuntimeServiceServiceException {
  static {
    __name(this, "UnsupportedMediaTypeException");
  }
  name = "UnsupportedMediaTypeException";
  $fault = "client";
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "UnsupportedMediaTypeException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _UnsupportedMediaTypeException.prototype);
  }
};
var ContentType = {
  GENERIC: "application/vnd.amazonaws.card.generic"
};
var ActiveContextFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.parameters && { parameters: import_smithy_client.SENSITIVE_STRING }
}), "ActiveContextFilterSensitiveLog");
var DialogActionFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.slots && { slots: import_smithy_client.SENSITIVE_STRING },
  ...obj.message && { message: import_smithy_client.SENSITIVE_STRING }
}), "DialogActionFilterSensitiveLog");
var IntentSummaryFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.slots && { slots: import_smithy_client.SENSITIVE_STRING }
}), "IntentSummaryFilterSensitiveLog");
var GetSessionResponseFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.recentIntentSummaryView && {
    recentIntentSummaryView: obj.recentIntentSummaryView.map((item) => IntentSummaryFilterSensitiveLog(item))
  },
  ...obj.sessionAttributes && { sessionAttributes: import_smithy_client.SENSITIVE_STRING },
  ...obj.dialogAction && { dialogAction: DialogActionFilterSensitiveLog(obj.dialogAction) },
  ...obj.activeContexts && { activeContexts: import_smithy_client.SENSITIVE_STRING }
}), "GetSessionResponseFilterSensitiveLog");
var PostContentRequestFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.sessionAttributes && { sessionAttributes: import_smithy_client.SENSITIVE_STRING },
  ...obj.requestAttributes && { requestAttributes: import_smithy_client.SENSITIVE_STRING },
  ...obj.activeContexts && { activeContexts: import_smithy_client.SENSITIVE_STRING }
}), "PostContentRequestFilterSensitiveLog");
var PostContentResponseFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.message && { message: import_smithy_client.SENSITIVE_STRING },
  ...obj.encodedMessage && { encodedMessage: import_smithy_client.SENSITIVE_STRING },
  ...obj.encodedInputTranscript && { encodedInputTranscript: import_smithy_client.SENSITIVE_STRING },
  ...obj.activeContexts && { activeContexts: import_smithy_client.SENSITIVE_STRING }
}), "PostContentResponseFilterSensitiveLog");
var PostTextRequestFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.sessionAttributes && { sessionAttributes: import_smithy_client.SENSITIVE_STRING },
  ...obj.requestAttributes && { requestAttributes: import_smithy_client.SENSITIVE_STRING },
  ...obj.inputText && { inputText: import_smithy_client.SENSITIVE_STRING },
  ...obj.activeContexts && { activeContexts: import_smithy_client.SENSITIVE_STRING }
}), "PostTextRequestFilterSensitiveLog");
var PredictedIntentFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.slots && { slots: import_smithy_client.SENSITIVE_STRING }
}), "PredictedIntentFilterSensitiveLog");
var PostTextResponseFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.alternativeIntents && {
    alternativeIntents: obj.alternativeIntents.map((item) => PredictedIntentFilterSensitiveLog(item))
  },
  ...obj.slots && { slots: import_smithy_client.SENSITIVE_STRING },
  ...obj.sessionAttributes && { sessionAttributes: import_smithy_client.SENSITIVE_STRING },
  ...obj.message && { message: import_smithy_client.SENSITIVE_STRING },
  ...obj.activeContexts && { activeContexts: import_smithy_client.SENSITIVE_STRING }
}), "PostTextResponseFilterSensitiveLog");
var PutSessionRequestFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.sessionAttributes && { sessionAttributes: import_smithy_client.SENSITIVE_STRING },
  ...obj.dialogAction && { dialogAction: DialogActionFilterSensitiveLog(obj.dialogAction) },
  ...obj.recentIntentSummaryView && {
    recentIntentSummaryView: obj.recentIntentSummaryView.map((item) => IntentSummaryFilterSensitiveLog(item))
  },
  ...obj.activeContexts && { activeContexts: import_smithy_client.SENSITIVE_STRING }
}), "PutSessionRequestFilterSensitiveLog");
var PutSessionResponseFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.message && { message: import_smithy_client.SENSITIVE_STRING },
  ...obj.encodedMessage && { encodedMessage: import_smithy_client.SENSITIVE_STRING },
  ...obj.activeContexts && { activeContexts: import_smithy_client.SENSITIVE_STRING }
}), "PutSessionResponseFilterSensitiveLog");

// src/protocols/Aws_restJson1.ts
var se_DeleteSessionCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/bot/{botName}/alias/{botAlias}/user/{userId}/session");
  b.p("botName", () => input.botName, "{botName}", false);
  b.p("botAlias", () => input.botAlias, "{botAlias}", false);
  b.p("userId", () => input.userId, "{userId}", false);
  let body;
  b.m("DELETE").h(headers).b(body);
  return b.build();
}, "se_DeleteSessionCommand");
var se_GetSessionCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/bot/{botName}/alias/{botAlias}/user/{userId}/session");
  b.p("botName", () => input.botName, "{botName}", false);
  b.p("botAlias", () => input.botAlias, "{botAlias}", false);
  b.p("userId", () => input.userId, "{userId}", false);
  const query = (0, import_smithy_client.map)({
    [_cLF]: [, input[_cLF]]
  });
  let body;
  b.m("GET").h(headers).q(query).b(body);
  return b.build();
}, "se_GetSessionCommand");
var se_PostContentCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = (0, import_smithy_client.map)({}, import_smithy_client.isSerializableHeaderValue, {
    "x-amz-content-sha256": "UNSIGNED-PAYLOAD",
    [_ct]: input[_cT] || "application/octet-stream",
    [_xalsa]: [
      () => (0, import_smithy_client.isSerializableHeaderValue)(input[_sA]),
      () => context.base64Encoder(Buffer.from(import_smithy_client.LazyJsonString.from(input[_sA])))
    ],
    [_xalra]: [
      () => (0, import_smithy_client.isSerializableHeaderValue)(input[_rA]),
      () => context.base64Encoder(Buffer.from(import_smithy_client.LazyJsonString.from(input[_rA])))
    ],
    [_a]: input[_a],
    [_xalac]: [
      () => (0, import_smithy_client.isSerializableHeaderValue)(input[_aC]),
      () => context.base64Encoder(Buffer.from(import_smithy_client.LazyJsonString.from(input[_aC])))
    ]
  });
  b.bp("/bot/{botName}/alias/{botAlias}/user/{userId}/content");
  b.p("botName", () => input.botName, "{botName}", false);
  b.p("botAlias", () => input.botAlias, "{botAlias}", false);
  b.p("userId", () => input.userId, "{userId}", false);
  let body;
  if (input.inputStream !== void 0) {
    body = input.inputStream;
  }
  b.m("POST").h(headers).b(body);
  return b.build();
}, "se_PostContentCommand");
var se_PostTextCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {
    "content-type": "application/json"
  };
  b.bp("/bot/{botName}/alias/{botAlias}/user/{userId}/text");
  b.p("botName", () => input.botName, "{botName}", false);
  b.p("botAlias", () => input.botAlias, "{botAlias}", false);
  b.p("userId", () => input.userId, "{userId}", false);
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      activeContexts: /* @__PURE__ */ __name((_) => (0, import_smithy_client._json)(_), "activeContexts"),
      inputText: [],
      requestAttributes: /* @__PURE__ */ __name((_) => (0, import_smithy_client._json)(_), "requestAttributes"),
      sessionAttributes: /* @__PURE__ */ __name((_) => (0, import_smithy_client._json)(_), "sessionAttributes")
    })
  );
  b.m("POST").h(headers).b(body);
  return b.build();
}, "se_PostTextCommand");
var se_PutSessionCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = (0, import_smithy_client.map)({}, import_smithy_client.isSerializableHeaderValue, {
    "content-type": "application/json",
    [_a]: input[_a]
  });
  b.bp("/bot/{botName}/alias/{botAlias}/user/{userId}/session");
  b.p("botName", () => input.botName, "{botName}", false);
  b.p("botAlias", () => input.botAlias, "{botAlias}", false);
  b.p("userId", () => input.userId, "{userId}", false);
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      activeContexts: /* @__PURE__ */ __name((_) => (0, import_smithy_client._json)(_), "activeContexts"),
      dialogAction: /* @__PURE__ */ __name((_) => (0, import_smithy_client._json)(_), "dialogAction"),
      recentIntentSummaryView: /* @__PURE__ */ __name((_) => (0, import_smithy_client._json)(_), "recentIntentSummaryView"),
      sessionAttributes: /* @__PURE__ */ __name((_) => (0, import_smithy_client._json)(_), "sessionAttributes")
    })
  );
  b.m("POST").h(headers).b(body);
  return b.build();
}, "se_PutSessionCommand");
var de_DeleteSessionCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    botAlias: import_smithy_client.expectString,
    botName: import_smithy_client.expectString,
    sessionId: import_smithy_client.expectString,
    userId: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  return contents;
}, "de_DeleteSessionCommand");
var de_GetSessionCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    activeContexts: import_smithy_client._json,
    dialogAction: import_smithy_client._json,
    recentIntentSummaryView: import_smithy_client._json,
    sessionAttributes: import_smithy_client._json,
    sessionId: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  return contents;
}, "de_GetSessionCommand");
var de_PostContentCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output),
    [_cT]: [, output.headers[_ct]],
    [_iN]: [, output.headers[_xalin]],
    [_nIC]: [
      () => void 0 !== output.headers[_xalnic],
      () => import_smithy_client.LazyJsonString.from(Buffer.from(context.base64Decoder(output.headers[_xalnic])).toString("utf8"))
    ],
    [_aI]: [
      () => void 0 !== output.headers[_xalai],
      () => import_smithy_client.LazyJsonString.from(Buffer.from(context.base64Decoder(output.headers[_xalai])).toString("utf8"))
    ],
    [_s]: [
      () => void 0 !== output.headers[_xals],
      () => import_smithy_client.LazyJsonString.from(Buffer.from(context.base64Decoder(output.headers[_xals])).toString("utf8"))
    ],
    [_sA]: [
      () => void 0 !== output.headers[_xalsa],
      () => import_smithy_client.LazyJsonString.from(Buffer.from(context.base64Decoder(output.headers[_xalsa])).toString("utf8"))
    ],
    [_sR]: [, output.headers[_xals_]],
    [_m]: [, output.headers[_xalm]],
    [_eM]: [, output.headers[_xalem]],
    [_mF]: [, output.headers[_xalmf]],
    [_dS]: [, output.headers[_xalds]],
    [_sTE]: [, output.headers[_xalste]],
    [_iT]: [, output.headers[_xalit]],
    [_eIT]: [, output.headers[_xaleit]],
    [_bV]: [, output.headers[_xalbv]],
    [_sI]: [, output.headers[_xalsi]],
    [_aC]: [
      () => void 0 !== output.headers[_xalac],
      () => import_smithy_client.LazyJsonString.from(Buffer.from(context.base64Decoder(output.headers[_xalac])).toString("utf8"))
    ]
  });
  const data = output.body;
  context.sdkStreamMixin(data);
  contents.audioStream = data;
  return contents;
}, "de_PostContentCommand");
var de_PostTextCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    activeContexts: import_smithy_client._json,
    alternativeIntents: /* @__PURE__ */ __name((_) => de_IntentList(_, context), "alternativeIntents"),
    botVersion: import_smithy_client.expectString,
    dialogState: import_smithy_client.expectString,
    intentName: import_smithy_client.expectString,
    message: import_smithy_client.expectString,
    messageFormat: import_smithy_client.expectString,
    nluIntentConfidence: /* @__PURE__ */ __name((_) => de_IntentConfidence(_, context), "nluIntentConfidence"),
    responseCard: import_smithy_client._json,
    sentimentResponse: import_smithy_client._json,
    sessionAttributes: import_smithy_client._json,
    sessionId: import_smithy_client.expectString,
    slotToElicit: import_smithy_client.expectString,
    slots: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_PostTextCommand");
var de_PutSessionCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output),
    [_cT]: [, output.headers[_ct]],
    [_iN]: [, output.headers[_xalin]],
    [_s]: [
      () => void 0 !== output.headers[_xals],
      () => import_smithy_client.LazyJsonString.from(Buffer.from(context.base64Decoder(output.headers[_xals])).toString("utf8"))
    ],
    [_sA]: [
      () => void 0 !== output.headers[_xalsa],
      () => import_smithy_client.LazyJsonString.from(Buffer.from(context.base64Decoder(output.headers[_xalsa])).toString("utf8"))
    ],
    [_m]: [, output.headers[_xalm]],
    [_eM]: [, output.headers[_xalem]],
    [_mF]: [, output.headers[_xalmf]],
    [_dS]: [, output.headers[_xalds]],
    [_sTE]: [, output.headers[_xalste]],
    [_sI]: [, output.headers[_xalsi]],
    [_aC]: [
      () => void 0 !== output.headers[_xalac],
      () => import_smithy_client.LazyJsonString.from(Buffer.from(context.base64Decoder(output.headers[_xalac])).toString("utf8"))
    ]
  });
  const data = output.body;
  context.sdkStreamMixin(data);
  contents.audioStream = data;
  return contents;
}, "de_PutSessionCommand");
var de_CommandError = /* @__PURE__ */ __name(async (output, context) => {
  const parsedOutput = {
    ...output,
    body: await (0, import_core2.parseJsonErrorBody)(output.body, context)
  };
  const errorCode = (0, import_core2.loadRestJsonErrorCode)(output, parsedOutput.body);
  switch (errorCode) {
    case "BadRequestException":
    case "com.amazonaws.lexruntimeservice#BadRequestException":
      throw await de_BadRequestExceptionRes(parsedOutput, context);
    case "ConflictException":
    case "com.amazonaws.lexruntimeservice#ConflictException":
      throw await de_ConflictExceptionRes(parsedOutput, context);
    case "InternalFailureException":
    case "com.amazonaws.lexruntimeservice#InternalFailureException":
      throw await de_InternalFailureExceptionRes(parsedOutput, context);
    case "LimitExceededException":
    case "com.amazonaws.lexruntimeservice#LimitExceededException":
      throw await de_LimitExceededExceptionRes(parsedOutput, context);
    case "NotFoundException":
    case "com.amazonaws.lexruntimeservice#NotFoundException":
      throw await de_NotFoundExceptionRes(parsedOutput, context);
    case "BadGatewayException":
    case "com.amazonaws.lexruntimeservice#BadGatewayException":
      throw await de_BadGatewayExceptionRes(parsedOutput, context);
    case "DependencyFailedException":
    case "com.amazonaws.lexruntimeservice#DependencyFailedException":
      throw await de_DependencyFailedExceptionRes(parsedOutput, context);
    case "LoopDetectedException":
    case "com.amazonaws.lexruntimeservice#LoopDetectedException":
      throw await de_LoopDetectedExceptionRes(parsedOutput, context);
    case "NotAcceptableException":
    case "com.amazonaws.lexruntimeservice#NotAcceptableException":
      throw await de_NotAcceptableExceptionRes(parsedOutput, context);
    case "RequestTimeoutException":
    case "com.amazonaws.lexruntimeservice#RequestTimeoutException":
      throw await de_RequestTimeoutExceptionRes(parsedOutput, context);
    case "UnsupportedMediaTypeException":
    case "com.amazonaws.lexruntimeservice#UnsupportedMediaTypeException":
      throw await de_UnsupportedMediaTypeExceptionRes(parsedOutput, context);
    default:
      const parsedBody = parsedOutput.body;
      return throwDefaultError({
        output,
        parsedBody,
        errorCode
      });
  }
}, "de_CommandError");
var throwDefaultError = (0, import_smithy_client.withBaseException)(LexRuntimeServiceServiceException);
var de_BadGatewayExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    Message: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new BadGatewayException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_BadGatewayExceptionRes");
var de_BadRequestExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    message: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new BadRequestException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_BadRequestExceptionRes");
var de_ConflictExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    message: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new ConflictException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_ConflictExceptionRes");
var de_DependencyFailedExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    Message: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new DependencyFailedException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_DependencyFailedExceptionRes");
var de_InternalFailureExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    message: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new InternalFailureException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_InternalFailureExceptionRes");
var de_LimitExceededExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({
    [_rAS]: [, parsedOutput.headers[_ra]]
  });
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    message: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new LimitExceededException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_LimitExceededExceptionRes");
var de_LoopDetectedExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    Message: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new LoopDetectedException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_LoopDetectedExceptionRes");
var de_NotAcceptableExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    message: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new NotAcceptableException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_NotAcceptableExceptionRes");
var de_NotFoundExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    message: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new NotFoundException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_NotFoundExceptionRes");
var de_RequestTimeoutExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    message: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new RequestTimeoutException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_RequestTimeoutExceptionRes");
var de_UnsupportedMediaTypeExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    message: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new UnsupportedMediaTypeException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_UnsupportedMediaTypeExceptionRes");
var de_IntentConfidence = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    score: import_smithy_client.limitedParseDouble
  });
}, "de_IntentConfidence");
var de_IntentList = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_PredictedIntent(entry, context);
  });
  return retVal;
}, "de_IntentList");
var de_PredictedIntent = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    intentName: import_smithy_client.expectString,
    nluIntentConfidence: /* @__PURE__ */ __name((_) => de_IntentConfidence(_, context), "nluIntentConfidence"),
    slots: import_smithy_client._json
  });
}, "de_PredictedIntent");
var deserializeMetadata = /* @__PURE__ */ __name((output) => ({
  httpStatusCode: output.statusCode,
  requestId: output.headers["x-amzn-requestid"] ?? output.headers["x-amzn-request-id"] ?? output.headers["x-amz-request-id"],
  extendedRequestId: output.headers["x-amz-id-2"],
  cfId: output.headers["x-amz-cf-id"]
}), "deserializeMetadata");
var _a = "accept";
var _aC = "activeContexts";
var _aI = "alternativeIntents";
var _bV = "botVersion";
var _cLF = "checkpointLabelFilter";
var _cT = "contentType";
var _ct = "content-type";
var _dS = "dialogState";
var _eIT = "encodedInputTranscript";
var _eM = "encodedMessage";
var _iN = "intentName";
var _iT = "inputTranscript";
var _m = "message";
var _mF = "messageFormat";
var _nIC = "nluIntentConfidence";
var _rA = "requestAttributes";
var _rAS = "retryAfterSeconds";
var _ra = "retry-after";
var _s = "slots";
var _sA = "sessionAttributes";
var _sI = "sessionId";
var _sR = "sentimentResponse";
var _sTE = "slotToElicit";
var _xalac = "x-amz-lex-active-contexts";
var _xalai = "x-amz-lex-alternative-intents";
var _xalbv = "x-amz-lex-bot-version";
var _xalds = "x-amz-lex-dialog-state";
var _xaleit = "x-amz-lex-encoded-input-transcript";
var _xalem = "x-amz-lex-encoded-message";
var _xalin = "x-amz-lex-intent-name";
var _xalit = "x-amz-lex-input-transcript";
var _xalm = "x-amz-lex-message";
var _xalmf = "x-amz-lex-message-format";
var _xalnic = "x-amz-lex-nlu-intent-confidence";
var _xalra = "x-amz-lex-request-attributes";
var _xals = "x-amz-lex-slots";
var _xals_ = "x-amz-lex-sentiment";
var _xalsa = "x-amz-lex-session-attributes";
var _xalsi = "x-amz-lex-session-id";
var _xalste = "x-amz-lex-slot-to-elicit";

// src/commands/DeleteSessionCommand.ts
var DeleteSessionCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("AWSDeepSenseRunTimeService", "DeleteSession", {}).n("LexRuntimeServiceClient", "DeleteSessionCommand").f(void 0, void 0).ser(se_DeleteSessionCommand).de(de_DeleteSessionCommand).build() {
  static {
    __name(this, "DeleteSessionCommand");
  }
};

// src/commands/GetSessionCommand.ts



var GetSessionCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("AWSDeepSenseRunTimeService", "GetSession", {}).n("LexRuntimeServiceClient", "GetSessionCommand").f(void 0, GetSessionResponseFilterSensitiveLog).ser(se_GetSessionCommand).de(de_GetSessionCommand).build() {
  static {
    __name(this, "GetSessionCommand");
  }
};

// src/commands/PostContentCommand.ts



var PostContentCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("AWSDeepSenseRunTimeService", "PostContent", {}).n("LexRuntimeServiceClient", "PostContentCommand").f(PostContentRequestFilterSensitiveLog, PostContentResponseFilterSensitiveLog).ser(se_PostContentCommand).de(de_PostContentCommand).build() {
  static {
    __name(this, "PostContentCommand");
  }
};

// src/commands/PostTextCommand.ts



var PostTextCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("AWSDeepSenseRunTimeService", "PostText", {}).n("LexRuntimeServiceClient", "PostTextCommand").f(PostTextRequestFilterSensitiveLog, PostTextResponseFilterSensitiveLog).ser(se_PostTextCommand).de(de_PostTextCommand).build() {
  static {
    __name(this, "PostTextCommand");
  }
};

// src/commands/PutSessionCommand.ts



var PutSessionCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("AWSDeepSenseRunTimeService", "PutSession", {}).n("LexRuntimeServiceClient", "PutSessionCommand").f(PutSessionRequestFilterSensitiveLog, PutSessionResponseFilterSensitiveLog).ser(se_PutSessionCommand).de(de_PutSessionCommand).build() {
  static {
    __name(this, "PutSessionCommand");
  }
};

// src/LexRuntimeService.ts
var commands = {
  DeleteSessionCommand,
  GetSessionCommand,
  PostContentCommand,
  PostTextCommand,
  PutSessionCommand
};
var LexRuntimeService = class extends LexRuntimeServiceClient {
  static {
    __name(this, "LexRuntimeService");
  }
};
(0, import_smithy_client.createAggregatedClient)(commands, LexRuntimeService);
// Annotate the CommonJS export names for ESM import in node:

0 && (module.exports = {
  LexRuntimeServiceServiceException,
  __Client,
  LexRuntimeServiceClient,
  LexRuntimeService,
  $Command,
  DeleteSessionCommand,
  GetSessionCommand,
  PostContentCommand,
  PostTextCommand,
  PutSessionCommand,
  BadRequestException,
  ConflictException,
  InternalFailureException,
  LimitExceededException,
  NotFoundException,
  FulfillmentState,
  MessageFormatType,
  DialogActionType,
  ConfirmationStatus,
  BadGatewayException,
  DependencyFailedException,
  LoopDetectedException,
  NotAcceptableException,
  DialogState,
  RequestTimeoutException,
  UnsupportedMediaTypeException,
  ContentType,
  ActiveContextFilterSensitiveLog,
  DialogActionFilterSensitiveLog,
  IntentSummaryFilterSensitiveLog,
  GetSessionResponseFilterSensitiveLog,
  PostContentRequestFilterSensitiveLog,
  PostContentResponseFilterSensitiveLog,
  PostTextRequestFilterSensitiveLog,
  PredictedIntentFilterSensitiveLog,
  PostTextResponseFilterSensitiveLog,
  PutSessionRequestFilterSensitiveLog,
  PutSessionResponseFilterSensitiveLog
});

