import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { PostContentRequestFilterSensitiveLog, PostContentResponseFilterSensitiveLog, } from "../models/models_0";
import { de_PostContentCommand, se_PostContentCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class PostContentCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AWSDeepSenseRunTimeService", "PostContent", {})
    .n("LexRuntimeServiceClient", "PostContentCommand")
    .f(PostContentRequestFilterSensitiveLog, PostContentResponseFilterSensitiveLog)
    .ser(se_PostContentCommand)
    .de(de_PostContentCommand)
    .build() {
}
