import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { PostTextRequestFilterSensitiveLog, PostTextResponseFilterSensitiveLog, } from "../models/models_0";
import { de_PostTextCommand, se_PostTextCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class PostTextCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AWSDeepSenseRunTimeService", "PostText", {})
    .n("LexRuntimeServiceClient", "PostTextCommand")
    .f(PostTextRequestFilterSensitiveLog, PostTextResponseFilterSensitiveLog)
    .ser(se_PostTextCommand)
    .de(de_PostTextCommand)
    .build() {
}
