import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { PutSessionRequestFilterSensitiveLog, PutSessionResponseFilterSensitiveLog, } from "../models/models_0";
import { de_PutSessionCommand, se_PutSessionCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class PutSessionCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AWSDeepSenseRunTimeService", "PutSession", {})
    .n("LexRuntimeServiceClient", "PutSessionCommand")
    .f(PutSessionRequestFilterSensitiveLog, PutSessionResponseFilterSensitiveLog)
    .ser(se_PutSessionCommand)
    .de(de_PutSessionCommand)
    .build() {
}
