import {
  AwsSdkSigV4AuthInputConfig,
  AwsSdkSigV4AuthResolvedConfig,
  AwsSdkSigV4PreviouslyResolved,
} from "@aws-sdk/core";
import {
  HandlerExecutionContext,
  HttpAuthScheme,
  HttpAuthSchemeParameters,
  HttpAuthSchemeParametersProvider,
  HttpAuthSchemeProvider,
  Provider,
} from "@smithy/types";
import { LexRuntimeServiceClientResolvedConfig } from "../LexRuntimeServiceClient";
export interface LexRuntimeServiceHttpAuthSchemeParameters
  extends HttpAuthSchemeParameters {
  region?: string;
}
export interface LexRuntimeServiceHttpAuthSchemeParametersProvider
  extends HttpAuthSchemeParametersProvider<
    LexRuntimeServiceClientResolvedConfig,
    HandlerExecutionContext,
    LexRuntimeServiceHttpAuthSchemeParameters,
    object
  > {}
export declare const defaultLexRuntimeServiceHttpAuthSchemeParametersProvider: (
  config: LexRuntimeServiceClientResolvedConfig,
  context: HandlerExecutionContext,
  input: object
) => Promise<LexRuntimeServiceHttpAuthSchemeParameters>;
export interface LexRuntimeServiceHttpAuthSchemeProvider
  extends HttpAuthSchemeProvider<LexRuntimeServiceHttpAuthSchemeParameters> {}
export declare const defaultLexRuntimeServiceHttpAuthSchemeProvider: LexRuntimeServiceHttpAuthSchemeProvider;
export interface HttpAuthSchemeInputConfig extends AwsSdkSigV4AuthInputConfig {
  authSchemePreference?: string[] | Provider<string[]>;
  httpAuthSchemes?: HttpAuthScheme[];
  httpAuthSchemeProvider?: LexRuntimeServiceHttpAuthSchemeProvider;
}
export interface HttpAuthSchemeResolvedConfig
  extends AwsSdkSigV4AuthResolvedConfig {
  readonly authSchemePreference: Provider<string[]>;
  readonly httpAuthSchemes: HttpAuthScheme[];
  readonly httpAuthSchemeProvider: LexRuntimeServiceHttpAuthSchemeProvider;
}
export declare const resolveHttpAuthSchemeConfig: <T>(
  config: T & HttpAuthSchemeInputConfig & AwsSdkSigV4PreviouslyResolved
) => T & HttpAuthSchemeResolvedConfig;
