import { Command as $Command } from "@smithy/smithy-client";
import {
  MetadataBearer as __MetadataBearer,
  StreamingBlobPayloadInputTypes,
  StreamingBlobPayloadOutputTypes,
} from "@smithy/types";
import {
  LexRuntimeServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../LexRuntimeServiceClient";
import { PostContentRequest, PostContentResponse } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface PostContentCommandInput
  extends Pick<
    PostContentRequest,
    Exclude<keyof PostContentRequest, "inputStream">
  > {
  inputStream: StreamingBlobPayloadInputTypes;
}
export interface PostContentCommandOutput
  extends Pick<
      PostContentResponse,
      Exclude<keyof PostContentResponse, "audioStream">
    >,
    __MetadataBearer {
  audioStream?: StreamingBlobPayloadOutputTypes;
}
declare const PostContentCommand_base: {
  new (
    input: PostContentCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    PostContentCommandInput,
    PostContentCommandOutput,
    LexRuntimeServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    input: PostContentCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    PostContentCommandInput,
    PostContentCommandOutput,
    LexRuntimeServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class PostContentCommand extends PostContentCommand_base {
  protected static __types: {
    api: {
      input: PostContentRequest;
      output: PostContentResponse;
    };
    sdk: {
      input: PostContentCommandInput;
      output: PostContentCommandOutput;
    };
  };
}
