import { Command as $Command } from "@smithy/smithy-client";
import {
  MetadataBearer as __MetadataBearer,
  StreamingBlobPayloadOutputTypes,
} from "@smithy/types";
import {
  LexRuntimeServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../LexRuntimeServiceClient";
import { PutSessionRequest, PutSessionResponse } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface PutSessionCommandInput extends PutSessionRequest {}
export interface PutSessionCommandOutput
  extends Pick<
      PutSessionResponse,
      Exclude<keyof PutSessionResponse, "audioStream">
    >,
    __MetadataBearer {
  audioStream?: StreamingBlobPayloadOutputTypes;
}
declare const PutSessionCommand_base: {
  new (
    input: PutSessionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    PutSessionCommandInput,
    PutSessionCommandOutput,
    LexRuntimeServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    input: PutSessionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    PutSessionCommandInput,
    PutSessionCommandOutput,
    LexRuntimeServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class PutSessionCommand extends PutSessionCommand_base {
  protected static __types: {
    api: {
      input: PutSessionRequest;
      output: PutSessionResponse;
    };
    sdk: {
      input: PutSessionCommandInput;
      output: PutSessionCommandOutput;
    };
  };
}
