import {
  HttpRequest as __HttpRequest,
  HttpResponse as __HttpResponse,
} from "@smithy/protocol-http";
import {
  SdkStreamSerdeContext as __SdkStreamSerdeContext,
  SerdeContext as __SerdeContext,
} from "@smithy/types";
import {
  DeleteSessionCommandInput,
  DeleteSessionCommandOutput,
} from "../commands/DeleteSessionCommand";
import {
  GetSessionCommandInput,
  GetSessionCommandOutput,
} from "../commands/GetSessionCommand";
import {
  PostContentCommandInput,
  PostContentCommandOutput,
} from "../commands/PostContentCommand";
import {
  PostTextCommandInput,
  PostTextCommandOutput,
} from "../commands/PostTextCommand";
import {
  PutSessionCommandInput,
  PutSessionCommandOutput,
} from "../commands/PutSessionCommand";
export declare const se_DeleteSessionCommand: (
  input: DeleteSessionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetSessionCommand: (
  input: GetSessionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PostContentCommand: (
  input: PostContentCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PostTextCommand: (
  input: PostTextCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutSessionCommand: (
  input: PutSessionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const de_DeleteSessionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteSessionCommandOutput>;
export declare const de_GetSessionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetSessionCommandOutput>;
export declare const de_PostContentCommand: (
  output: __HttpResponse,
  context: __SerdeContext & __SdkStreamSerdeContext
) => Promise<PostContentCommandOutput>;
export declare const de_PostTextCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PostTextCommandOutput>;
export declare const de_PutSessionCommand: (
  output: __HttpResponse,
  context: __SerdeContext & __SdkStreamSerdeContext
) => Promise<PutSessionCommandOutput>;
